<template>
    <div>
        <div
            class="custom-card shadow-lg"
            :class="{
                'h-full': bodyFullHeight,
            }"
        >
            <div
                v-if="title || hasTitleSlot"
                :class="{
                    'flex text-xs leading-6': !hasTitleSlot,
                }"
            >
                <template
                    v-if="hasTitleSlot"
                >
                    <slot name="title" />
                </template>
                <span
                    v-else
                    class="-intro-x custom-card-header font-semibold uppercase leading-tight text-ellipsis w-full mt-2 border-t border-b border-t-transparent px-4 pt-1 pb-3"
                >
                    {{ title }}
                </span>
            </div>
            <div
                class="custom-card-body overflow-auto px-2 py-4"
            >
                <slot />
            </div>
        </div>
    </div>
</template>

<script setup>
import {useSlots, computed} from "vue";
import {CONFIG} from "~/config.js";

const props = defineProps({
    title: {
        required: false,
        type: [String, Number],
        default: null,
    },
    bodyFullHeight: {
        required: false,
        type: Boolean,
        default: false,
    }
});

const $slots = useSlots();
const hasTitleSlot = computed(() => {
    return $slots.title;
});
</script>
